const quizData = [
    {
        question: "Cuál es la dirección donde podrá descargar Python?",
        a: "https://www.python.org/downloads/",
        b: "https://www.cpython.org/downloads/",
        c: "https://www.python.org/downloads/3.11.1",
        correct: "a",
    },
    {
        question: 'Cuántos pasos se debe seguir en total para instalar python?',
        a: "10",
        b: "15",
        c: "6",
        correct: "c",
    },
    {
        question: 'Cuál es la dirección donde podrá descargar Visual Studio Code?',
        a: "https://code.visualstudio.com",
        b: "https://visualstudiocode.com",
        c: "https://vscode.com",
        correct: "a",
    },
    {
        question: 'Cuántos pasos se debe seguir en total para instalar python?',
        a: "10",
        b: "4",
        c: "6",
        correct: "b",
    },
    {
        question: 'Para qué se instalan extensiones en VSC?',
        a: "Para que la interfaz se vea bonita",
        b: "Para facilitar el tipeo y sintaxis",
        c: "Para programar con ayuda de IA",
        correct: "b",
    },
    {
        question: 'Cuántas extensiones se recomendó instalar?',
        a: "4",
        b: "2",
        c: "1",
        correct: "b",
    },
    {
        question: 'Cuál es el formato de un archivo de python?',
        a: ".py",
        b: ".pthn",
        c: ".pt",
        correct: "a",
    },
    {
        question: 'De cuántas maneras se puede ejecutar un archivo .py',
        a: "2",
        b: "3",
        c: "4",
        correct: "a",
    },
    {
        question: 'Con qué programas se pueden ejecutar archivos .py?',
        a: "Cmd",
        b: "Visual Studio Code",
        c: "Todas las anteriores",
        correct: "c",
    },
    {
        question: 'Cómo se llama el programa para ejecutar código en python?',
        a: "IDLE",
        b: "Cpython",
        c: "VSC",
        correct: "a",
    },
];

const quiz= document.getElementById('quiz')
const answerEls = document.querySelectorAll('.answer')
const questionEl = document.getElementById('question')
const a_text = document.getElementById('a_text')
const b_text = document.getElementById('b_text')
const c_text = document.getElementById('c_text')
const submitBtn = document.getElementById('submit')


let currentQuiz = 0
let score = 0

loadQuiz()

function loadQuiz() {

    deselectAnswers()

    const currentQuizData = quizData[currentQuiz]

    questionEl.innerText = currentQuizData.question
    a_text.innerText = currentQuizData.a
    b_text.innerText = currentQuizData.b
    c_text.innerText = currentQuizData.c
}

function deselectAnswers() {
    answerEls.forEach(answerEl => answerEl.checked = false)
}

function getSelected() {
    let answer
    answerEls.forEach(answerEl => {
        if(answerEl.checked) {
            answer = answerEl.id
        }
    })
    return answer
}


submitBtn.addEventListener('click', () => {
    const answer = getSelected()
    if(answer) {
       if(answer === quizData[currentQuiz].correct) {
           score++
       }

       currentQuiz++

       if(currentQuiz < quizData.length) {
           loadQuiz()
       } else {
           quiz.innerHTML = `
           <h2>Contestaste ${score}/${quizData.length} preguntas correctamente</h2>

           <button3 onclick="location.reload()">Intentalo nuevamente</button3>
           `
       }
    }
})